Bug 655876 - SELinux is preventing /usr/libexec/mission-control-5 "write" access on /root.
Summary: SELinux is preventing /usr/libexec/mission-control-5 "write" access on /...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 14
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:df295ecc136...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-22 15:34 UTC by Matt Brown
Modified: 2011-05-26 20:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-26 20:23:00 UTC
Type: ---


Attachments (Terms of Use)

Description Matt Brown 2010-11-22 15:34:07 UTC
Summary:

SELinux is preventing /usr/libexec/mission-control-5 "write" access on /root.

Detailed Description:

SELinux denied access requested by mission-control. It is not expected that this
access is required by mission-control and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:admin_home_t:s0
Target Objects                /root [ dir ]
Source                        vino-server
Source Path                   /usr/libexec/vino-server
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           telepathy-mission-control-5.6.0-2.fc14
Target RPM Packages           filesystem-2.4.35-1.fc14
Policy RPM                    selinux-policy-3.9.7-10.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.35.6-48.fc14.i686 #1 SMP
                              Fri Oct 22 15:34:36 UTC 2010 i686 i686
Alert Count                   2
First Seen                    Wed 17 Nov 2010 08:16:07 PM EST
Last Seen                     Wed 17 Nov 2010 08:16:07 PM EST
Local ID                      0d7f340c-1c4d-4085-abc3-c3b1d2d2c63b
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1290042967.332:10): avc:  denied  { write } for  pid=1555 comm="mission-control" name="root" dev=dm-0 ino=783 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:admin_home_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1290042967.332:10): arch=40000003 syscall=39 success=no exit=-13 a0=9a55948 a1=1c0 a2=c6227c a3=9a5595e items=0 ppid=1554 pid=1555 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="mission-control" exe="/usr/libexec/mission-control-5" subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,vino-server,xdm_t,admin_home_t,dir,write
audit2allow suggests:

#============= xdm_t ==============
#!!!! The source type 'xdm_t' can write to a 'dir' of the following types:
# xdm_spool_t, fonts_cache_t, tmpfs_t, user_tmp_t, auth_cache_t, xdm_tmpfs_t, var_spool_t, var_lib_t, var_run_t, xdm_tmp_t, xserver_log_t, var_log_t, xdm_log_t, gnome_home_type, pam_var_run_t, xdm_var_lib_t, xdm_var_run_t, gconf_home_t, pcscd_var_run_t, xkb_var_lib_t, xdm_rw_etc_t, xdm_home_t, pam_var_console_t, cgroup_t, var_lock_t, root_t, tmp_t, var_t, user_home_dir_t, user_fonts_t, user_tmpfs_t, locale_t, var_auth_t

allow xdm_t admin_home_t:dir write;

Comment 1 Daniel Walsh 2010-11-23 15:41:41 UTC
You have the login program running telepathy as root?

Are you trying to login as root?  Which login program are you using?  When you login bring up a terminal and what does id -Z show?

Comment 2 Matt Brown 2010-11-24 21:14:12 UTC
I am not logging in as root, and the telepathy or mission-control-5 processes are not running as root. 

id -Z returns:


[mbrown@mbrownfedora ~]$ id -Z
unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023

Comment 3 Daniel Walsh 2010-11-29 21:01:32 UTC
Has this happened again?


Note You need to log in before you can comment on or make changes to this bug.